Logging (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena

## Class Logging

- java.lang.Object
- - siena.Logging

-     public class Logging
      extends java.lang.Object

  logging and error reporting facility for Siena. `Logging` allows you to redirect error and log messages to specific streams.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEBUG`
    `static int` | `ERROR`
    `static int` | `FATAL`
    `static int` | `INFO`
    `static int` | `severity`
    `static int` | `WARN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Logging()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.io.PrintStream` | `getErrorStream()` the current error output stream.
    `static java.io.PrintStream` | `getLogStream()` the current debug output stream.
    `static void` | `prlnerr(java.lang.String s)`
    `static void` | `prlnlog(java.lang.String s, int sev)`
    `static void` | `setErrorStream(java.io.PrintStream s)` sets an error output stream.
    `static void` | `setLogStream(java.io.PrintStream s)` sets a log and debug stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEBUG

          public static int DEBUG

    - #### INFO

          public static int INFO

    - #### WARN

          public static int WARN

    - #### ERROR

          public static int ERROR

    - #### FATAL

          public static int FATAL

    - #### severity

          public static int severity

  - ### Constructor Detail

    - #### Logging

          public Logging()

  - ### Method Detail

    - #### prlnerr

          public static void prlnerr(java.lang.String s)

    - #### prlnlog

          public static void prlnlog(java.lang.String s,
                     int sev)

    - #### setLogStream

          public static void setLogStream(java.io.PrintStream s)

      sets a log and debug stream. `null` means no log and debug output.
      Parameters:
        `s` - the new debug output stream
      See Also:
        `getLogStream()`

    - #### getLogStream

          public static java.io.PrintStream getLogStream()

      the current debug output stream. `null` means no debug output.
      Returns:
        the current debug output stream.
      See Also:
        `setLogStream(PrintStream)`

    - #### setErrorStream

          public static void setErrorStream(java.io.PrintStream s)

      sets an error output stream. `null` means no error output.
      Parameters:
        `s` - the new error output stream
      See Also:
        `getErrorStream()`

    - #### getErrorStream

          public static java.io.PrintStream getErrorStream()

      the current error output stream. `null` means no error output.
      Returns:
        the current error output stream.
      See Also:
        `setErrorStream(PrintStream)`

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga